# PlayerBusinesses by Olzie-12
# https://www.spigotmc.org/resources/112943
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerbusinesses
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

# If you want to disable any message just set it to nothing. by doing
# list: "" <- This will no longer send a message.


# every singe message in the plugin is here.
# make sure you use "" to end of every string
# Also you can use colour codes <3

# To use hex color codes you will need to do
# "{#HEX} text"

lang:
  cancel-chat-wait: "cancel"
  chat-wait-cancelled: "&cCancelled your request!"
  no-permission: "&cYou don't have permission to do that!"
  not-player: "&cYou must be a player to do that!"
  help-syntax: "&7%syntax%"
  syntax: "&cIncorrect syntax! &7%syntax%"
  player-not-found: "&cThat player could not be found!"
  firm-already-exists: "&cThat firm already exists!"
  firm-created: "&aSuccessfully created the firm %firm%!"
  firm-not-found: "&cThat firm could not be found!"
  firm-disbanded: "&aSuccessfully disbanded the firm %firm%!"
  business-list:
    - "&7&m----------------------------------------"
    - "&b&lBusinesses - %owner%"
    - "%businesses%"
    - "&7&m----------------------------------------"
  business-list-all:
    - "&7&m----------------------------------------"
    - "&b&lBusinesses (Page %page%/%pages%)"
    - "%businesses%"
    - "&7&m----------------------------------------"
  business-entry: "<hover:show_text:'<color:#0062ff>Click to see info</color>'><click:run_command:'/pb info %firm%'><red>%position%. <color:#03c4ff>%firm%</color></click></hover>"
  business-entry-all: "<hover:show_text:'<color:#0062ff>Click to see info</color>'><click:run_command:'/pb info %firm%'><red>%position%. <color:#03c4ff>%firm% <gray> - <yellow> owned by %owner%</color></click></hover>"
  no-businesses: "&cThere are no businesses to display!"
  not-a-number: "&cThat is not a number!"
  page-not-found: "&cThat page could not be found!"
  player-not-online: "&cThat player is not online!"
  player-already-staff: "&cThat player is already staff!"
  player-invited: "&aSuccessfully invited %player% to %firm%!"
  player-invited-message: "<yellow>You have been invited to %firm% by %player%! Click <b><green><click:run_command:'/pb accept %firm%'><hover:show_text:'<green>Click to accept</green>'>ACCEPT </hover></click></green></b>to accept or click <b><red><click:run_command:'/pb deny %firm%'><hover:show_text:'<red>Click to deny</red>'>DENY </hover></click></red></b>to deny</yellow>"
  player-invite-expired: "&cYour invite to %firm% has expired!"
  no-invite: "&cYou have no invites!"
  player-accepted: "&aYou have accepted the invite to %firm%!"
  player-joined: "&a%player% has joined the firm!"
  player-denied: "&cYou have denied the invite to %firm%!"
  not-staff: "&cYou are not staff in that firm!"
  player-not-staff: "&cThat player is not staff in that firm!"
  not-owner: "&cYou are not the owner of that firm!"
  cant-retire-owner: "&cYou can't retire as owner!"
  player-resigned: "&a%player% has resigned from the firm!"
  resigned: "&aYou have resigned from the firm!"
  cannot-fire-owner: "&cYou cannot fire the owner!"
  fired: "&aYou have fired %player% from %firm% firm!"
  fired-player: "&cYou have been fired from %firm%!"
  role-created: "&aSuccessfully created the role %role%!"
  role-not-found: "&cThat role could not be found!"
  role-removed: "&aSuccessfully removed the role %role%!"
  cannot-remove-role: "&cYou cannot remove the owner role or the employee role!"
  permission-not-found: "&cThat permission could not be found!"
  permission-already-added: "&cThat permission is already added to that role!"
  permission-added: "&aSuccessfully added the permission %permission% to the role %role%!"
  permission-not-added: "&cThat permission is not added to that role!"
  permission-removed: "&aSuccessfully removed the permission %permission% from the role %role%!"
  cannot-demote-owner: "&cYou cannot demote the owner!"
  cannot-demote-default: "&cYou cannot demote the employee role, try firing them instead!"
  demoted-staff: "&aYou have demoted %player% to %role% in %firm%!"
  demoted-staff-player: "&cYou have been demoted to %role% in %firm%!"
  cannot-promote-owner: "&cYou cannot promote to owner!"
  promoted-staff: "&aYou have promoted %player% to %role% in %firm%!"
  promoted-staff-player: "&aYou have been promoted to %role% in %firm%!"
  confirm-discord: "<hover:show_text:'<color:#00d5ff>Click to verify</color>'><click:run_command:'/pb set discord %firm% %discord% confirm'><color:#00ff04>Please make sure the discord link is permanent. You may click on this message to confirm.</color></click></hover>"
  discord-set: "&aSuccessfully set the discord link for %firm%!"
  invalid-discord: "&cThat is not a valid discord link!"
  plot-not-found: "&cThat plot could not be found!"
  hq-set: "&aSuccessfully set the HQ for %firm%!"
  info: "<color:#00ddff>%firm%</color> <dark_gray>-</dark_gray> <dark_red>Owned by</dark_red> <red>%owner%</red>\n\n<light_purple>HQ: <dark_purple>%hq%</dark_purple></light_purple>\n<color:#3d58aa>Discord: <click:open_url:'%discord%'>%discord%</click></color>\n<yellow>Balance: %balance%</yellow>"
  not-enough-money-business: "&cNot enough money in the business account!"
  payed: "&aSuccessfully payed %amount% to %player%!"
  payed-player: "&aYou have been payed %amount% from %firm%!"
  withdrawn: "&aSuccessfully withdrawn %amount% from %firm%!"
  not-enough-money-player: "&cNot enough money in your account!"
  deposit: "&aSuccessfully deposited %amount% into %firm%!"
  transfer-success: "&aSuccessfully transferred ownership to %player% for %firm%!"
  transfer-success-target: "&aYou have been transferred ownership of %firm%!"
  transaction-withdraw: "&a%time% %player% withdrew %amount%"
  transaction-withdraw-tax: "&a%time% %player% withdrew %amount% due to tax"
  transaction-deposit: "&a%time% %player% deposited %amount%"
  transaction-paid: "&a%time% %player% paid %amount% to %receiver%"
  no-transactions: "&cThere are no transactions to display!"
  transaction-entry: "%message%"
  transaction-time-warning: "&aCurrently fetching transactions, this may take awhile."
  transaction-pending: "&cYou currently are searching for transactions, please wait until it is done!"
  sale: "%sale%"
  chestshop-sale: "&a%time% %player% sold %amount%x %item% for %price% at %firm%"
  chestshop-buy: "&a%time% %player% bought %amount%x %item% for %price% at %firm%"
  chestshop-sale-export: "%time% %player% sold %amount%x %item% for %price% at %firm%"
  chestshop-buy-export: "%time% %player% bought %amount%x %item% for %price% at %firm%"
  chestshop-sale-viewed: "&a&m%time% %player% sold %amount%x %item% for %price% at %firm%"
  chestshop-buy-viewed: "&a&m%time% %player% bought %amount%x %item% for %price% at %firm%"
  chestshop-sale-notify: "&a%player% sold %amount%x %item% for %price% at %firm%"
  chestshop-buy-notify: "&a%player% bought %amount%x %item% for %price% at %firm%"
  sales-exported: "&aSuccessfully exported %firm%'s sales to %url%"
  transactions-exported: "&aSuccessfully exported %firm%'s transactions to %url%"
  player-already-invited: "&cThat player is already invited to that firm!"
  deposit-player: "&a%player% has deposited %amount% into %firm%!"
  firm-name-invalid: "&cThat firm name is invalid! Either its too long or has an invalid character."
  chat-transfer: "&aPlease type the name of the firm you wish to transfer ownership to! &cIf you wish to cancel, type 'cancel'"
  chat-discord: "&aPlease type the discord link you wish to set! Please click the link to verify it is permanent! &cIf you wish to cancel, type 'cancel'"
  chat-hq: "&aPlease type the name of the plot you wish to set as the HQ! &cIf you wish to cancel, type 'cancel'"
  chat-name-pay: "&aPlease type the name of the user you wish to pay! &cIf you wish to cancel, type 'cancel'"
  chat-amount-pay: "&aPlease type the amount you wish to pay! &cIf you wish to cancel, type 'cancel'"
  chat-withdraw: "&aPlease type the amount you wish to withdraw! &cIf you wish to cancel, type 'cancel'"
  chat-deposit: "&aPlease type the amount you wish to deposit! &cIf you wish to cancel, type 'cancel'"
  chat-hire: "&aPlease type the name of the player you wish to hire! &cIf you wish to cancel, type 'cancel'"
  chat-create: "&aPlease type the name of the role you wish to create! &cIf you wish to cancel, type 'cancel'"
  role-exists: "&cThat role already exists!"
  permission-default-proprietor: "&cYou set proprietor as the default role, please set another role as the default role!"
  permission-proprietor-default: "&cYou cannot set the default role as proprietor!"
  not-allowed-to-remove: "&cYou cannot remove that permission, instead you can add the permission to another role and remove it from this role!"
  withdraw-player: "&a%player% has withdrawn %amount% from %firm%!"
  sales-toggle-on: "&aSuccessfully enabled sales for %firm%!"
  sales-toggle-off: "&aSuccessfully disabled sales for %firm%!"
  reloaded: "&aSuccessfully reloaded the configuration!"
  reloading: "%prefix% &aReloading the configuration..."
  already-owner: "&cYou are already the owner of that firm!"
  stocks-already-enabled: "&cStocks are already enabled for that firm!"
  stocks-ipo-issued: "&aSuccessfully issued an IPO for %firm%! With a total of %amount% shares!"
  sale-list:
    - "&7&m----------------------------------------"
    - "&b&lSales (Page %page%/%pages%)"
    - "%sales%"
    - "&7&m----------------------------------------"
  no-sales: "&cThere are no sales to display!"
  sale-entry: "%sale%"
  sale-time-warning: "&aCurrently fetching sales, this may take awhile."
  sale-pending: "&cYou currently are searching for sales, please wait until it is done!"
  transactions-list:
    - "&7&m----------------------------------------"
    - "&b&lTransactions (Page %page%/%pages%)"
    - "%transactions%"
    - "&7&m----------------------------------------"
  staff-list:
    - "&7&m----------------------------------------"
    - "&b&lStaff - %firm%"
    - "%staff%"
    - "&7&m----------------------------------------"
  staff-entry: "<hover:show_text:'<color:#0062ff>Click to see info</color>'><click:run_command:'/seen %player%'><red>%position%. <color:#03c4ff>%player% <gray>-<yellow> %role%</color></click></hover>"
  help-player:
    - "&7&m----------------------------------------"
    - "&b&lPlayerBusinesses Help"
    - "%help%"
    - "&7&m----------------------------------------"
  help-console:
    - "&7&m----------------------------------------"
    - "&b&lPlayerBusinesses Help"
    - "%help%"
    - "&7&m----------------------------------------"
  ticker-taken: "&cThat ticker is already taken!"
  dividend-type-not-found: "&cThat dividend type could not be found!"
  dividend-set: "&aSuccessfully set the dividend for %firm% to %amount% %type%!"
  ticker-too-long: "&cThat ticker is too long!"
  ticker-too-short: "&cThat ticker is too short!"
  not-enough-shares: "&cYou do not have enough shares to do that!"
  stock-sold: "&aSuccessfully sold %shares% shares for %price% at %firm%!"
  stock-profile: "&7&m----------------------------------------\n&b&l%firm% Stock Profile\n&7Ticker: &b%ticker%\n&7Owner: &b%owner%\n&7Business Balance: &b%balance%\n&7Market Cap: &b$%marketcap%\n&7Top 5 Share Holders: &b%top5%\n&7&m----------------------------------------"
  cannot-disband-shares: "&cYou cannot disband a firm with shares!"
  cannot-pay-dividend: "&cThe business %firm% cannot pay a dividend, it does not have enough money!"
  paid-dividend: "&aThe business %firm% has paid you %price% for your shareholders!"
  not-enough-stocks-to-delist: "&cYou do not have enough stocks to delist!"
  not-enough-balance-to-delist: "&cYou do not have enough balance to delist, you need to have at least $%price%!"
  successfully-delisted: "&aSuccessfully delisted %firm% for %price%!"
  invalid-material: "&cThat material could not be found!"
  invalid-time: "&cThat time could not be found!"
  commodity-no-info: "&cThere is no information for that commodity at that time!"
  commodity-info: "&7&m----------------------------------------\n&b&l%material% Commodity Info\n&7Time: &b%time%\n&7Average Price: &b$%average-price%\n&7Increase Percentage: &b%increase-percentage%%\n&7Sold: &b%sold%\n&7Bought: &b%bought%\n&7Biggest Seller: &b%biggest-seller%\n&7Biggest Purchaser: &b%biggest-purchaser%\n&7&m----------------------------------------"
  no-stocks: "&cThere are no stocks to display!"
  portfolio-entry: "&b%firm% - %shares% shares\n"
  stock-portfolio: "&7&m----------------------------------------\n&b&lStock Portfolio\n&7%portfolio%\n&7&m----------------------------------------"
  staff-breakdown: "&a%player%&7: &c%role%"
  sales-export-limit: "&cYou cannot export more than %days% days of sales!"
  sale-export-pending: "&cYou currently are exporting sales, please wait until it is done!"
  transactions-export-limit: "&cYou cannot export more than %days% days of transactions!"
  transaction-export-pending: "&cYou currently are exporting transactions, please wait until it is done!"

  errors:
    sign-editor-out-of-bounds: "%prefix% &cUnfortunately you cannot use the sign editor here (out of world bounds)!"
n/a:
  no-user: "N/A"
